%bcond_without check

%global goipath         github.com/matttproud/golang_protobuf_extensions
Version:                1.0.1

%gometa

%global godevelheader %{expand:
}

%global common_description %{expand:
This package provides various Protocol Buffer extensions for the Go language,
namely support for record length-delimited message streaming.}

%global golicenses      LICENSE NOTICE
%global godocs          README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:    2%{?dist}
Summary:        Support for streaming protocol buffer messages for the Go language

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

BuildRequires:  golang(github.com/golang/protobuf/proto)

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Jun 08 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.0.1-2
- Rebuilt for loongarch64

* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-1
- initial build
